<?php
  /*
    NetSaint phpgroupware modules
    Copyright (C) 2001 Craig Small
   
    This program is free software; you can redistribute it and/or modify it 
    under the terms of the GNU General Public License as published by the   
    Free Software Foundation; either version 2 of the License, or (at your  
    option) any later version.                                              
  */
  $phpgw_info["flags"]["currentapp"] = "phpgwnetsaint";
  
  include("../header.inc.php");
  echo "<LINK REL='stylesheet' TYPE='text/css' HREF='" . $phpgw->link('/phpgwnetsaint/styles/status.css'). "'>\n";


  read_status();
  print_info_box($pgns_progstatus);

  echo "<CENTER><TABLE width=\"90%\"><TR><TD width=\"50%\">";
  echo "<H3>", lang("Host Status"), "</H3>\n";
  print_host_status($pgns_hostcount);

  echo "<TD><TD width=\"50%\">";
  echo '<H3>', lang("Service Status"), "</H3>\n";
  print_service_status($pgns_servcount);
  echo "</TD></TR></TABLE></CENTER>\n";

  if ($targethost != "") {
    print_service_details($pgns_servstatus, $targethost);
  } else {
    print_service_details($pgns_servstatus);
  }

?>

<?php
  $phpgw->common->phpgw_footer();
?>
